%define name lua
%define version 5.0.2
%define release 2mdk

%define major 5
%define libname lib%{name}%{major}
%define libname_orig %mklibname %name

%define lua_version 5.0

Summary : Lua is a powerful, light-weight programming language
Name: %name
Version: %version
Release: %release
License: MIT
URL: http://www.lua.org/
Group: Development/Other
Source: %{name}-%{version}.tar.bz2
Patch0: %name-config.patch.bz2
Patch1: %name-lbaselib.patch.bz2
Patch2: %name-default.patch.bz2
BuildRoot: %_tmppath/%{name}-buildroot

%description
Lua is a programming language originally designed for extending applications, 
but also frequently used as a general-purpose, stand-alone language. Lua
combines simple procedural syntax (similar to Pascal) with powerful data 
description constructs based on associative arrays and extensible semantics.
Lua is dynamically typed, interpreted from bytecodes, and has automatic memory
management, making it ideal for configuration, scripting, and rapid
prototyping. Lua is implemented as a small library of C functions, written in 
ANSI C, and compiles unmodified in all known platforms. The implementation
goals are simplicity, efficiency, portability, and low embedding cost.

%package -n %{libname}
Summary : Lua is a powerful, light-weight programming language
Group: System/Libraries
Conflicts: liblua4 < 4.0.1-1mdk

%description -n %{libname}
Lua is a programming language originally designed for extending applications,
but also frequently used as a general-purpose, stand-alone language. Lua
combines simple procedural syntax (similar to Pascal) with powerful data
description constructs based on associative arrays and extensible semantics.
Lua is dynamically typed, interpreted from bytecodes, and has automatic memory
management, making it ideal for configuration, scripting, and rapid
prototyping. Lua is implemented as a small library of C functions, written in
ANSI C, and compiles unmodified in all known platforms. The implementation
goals are simplicity, efficiency, portability, and low embedding cost.

This package includes the libraries.

%package -n %{libname}-devel
Summary: Lua is a powerful, light-weight programming language
Group: Development/Other
Requires: %{libname} = %{version}
Provides: %{libname_orig}-devel
Obsoletes: %{libname_orig}-devel

%description -n %{libname}-devel
Lua is a programming language originally designed for extending applications,
but also frequently used as a general-purpose, stand-alone language. Lua
combines simple procedural syntax (similar to Pascal) with powerful data
description constructs based on associative arrays and extensible semantics.
Lua is dynamically typed, interpreted from bytecodes, and has automatic memory
management, making it ideal for configuration, scripting, and rapid
prototyping. Lua is implemented as a small library of C functions, written in
ANSI C, and compiles unmodified in all known platforms. The implementation
goals are simplicity, efficiency, portability, and low embedding cost.

This package contains the headers and development files for lua.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%patch0 -p1
%patch1 -p1
%patch2 -p1

%build

%make
make so

%install

%makeinstall_std
install -d $RPM_BUILD_ROOT%_libdir/lua/%{lua_version}/
install -d $RPM_BUILD_ROOT%_datadir/lua/%{lua_version}/
install -m 755 lib/*.so.* $RPM_BUILD_ROOT%_libdir/
cp -a lib/*.so $RPM_BUILD_ROOT%_libdir/
install -m 644 lib/*.lua $RPM_BUILD_ROOT%_datadir/lua/%{lua_version}/

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname}
/sbin/ldconfig
update-alternatives --install %{_bindir}/lua lua %{_bindir}/lua5 5 --slave %{_bindir}/luac luac %{_bindir}/luac5

%postun -n %{libname}
/sbin/ldconfig
update-alternatives --remove lua %{_bindir}/lua5

%files -n %{libname}
%defattr (-,root,root)
%doc COPYRIGHT HISTORY INSTALL MANIFEST README
%doc doc/*.html doc/*.gif
%_bindir/*
%_libdir/*.so.*
%_libdir/lua/%{lua_version}
%_datadir/lua/%{lua_version}/*.lua
%_mandir/man1/*

%files -n %{libname}-devel
%defattr (-,root,root)
%_includedir/*
%_libdir/*.so
%_libdir/*.a
%_libdir/lua/%{lua_version}
%_datadir/lua/%{lua_version}/*.lua


%changelog
* Sun Aug 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.0.2-2mdk
- fix .so links

* Tue May 04 2004 Lenny Cartier <lenny@mandrakesoft.com> 5.0.2-1mdk
- from Andre Nathan <andre@digirati.com.br>

* Fri Dec 12 2003 Lenny Cartier <lenny@mandrakesoft.com> 5.0-3mdk
- do not rename lua to lua5

* Wed Aug 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 5.0-2mdk
- from andi payn <payn@myrealbox.com> :
	- Co-exist with lua4

* Mon Apr 14 2003 Lenny Cartier <lenny@mandrakesoft.com> 5.0-1mdk
- 5.0

* Mon Apr 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 4.0-4mdk
- Fix -devel dependencies

* Tue Aug 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 4.0-3mdk
- rebuild

* Mon Jan 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 4.0-2mdk
- apply library policy

* Wed Jan 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 4.0-1mdk
- new in contribs
